Bug 1049976 - FTBFS: error: expected identifier before numeric constant
Summary: FTBFS: error: expected identifier before numeric constant
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: llvm
Version: rawhide
Hardware: ppc64
OS: Linux
urgent
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2014-01-08 14:40 UTC by Karsten Hopp
Modified: 2014-11-18 16:32 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-11-18 16:32:03 UTC


Attachments (Terms of Use)
build.log (3.94 MB, text/plain)
2014-01-08 14:40 UTC, Karsten Hopp
no flags Details
root.log (79.60 KB, text/plain)
2014-01-08 14:41 UTC, Karsten Hopp
no flags Details

Description Karsten Hopp 2014-01-08 14:40:28 UTC
Created attachment 847181 [details]
build.log

Description of problem:
In file included from /usr/include/asm/sigcontext.h:13:0,
                 from /usr/include/bits/sigcontext.h:27,
                 from /usr/include/signal.h:340,
                 from /builddir/build/BUILD/llvm-3.3.src/tools/lldb/source/../include/lldb/lldb-types.h:18,
                 from /builddir/build/BUILD/llvm-3.3.src/tools/lldb/source/../include/lldb/lldb-defines.h:13,
                 from /builddir/build/BUILD/llvm-3.3.src/tools/lldb/source/../include/lldb/lldb-public.h:13,
                 from /builddir/build/BUILD/llvm-3.3.src/tools/lldb/source/../include/lldb/lldb-private.h:15,
                 from lldb.cpp:12:
/builddir/build/BUILD/llvm-3.3.src/include/llvm/Support/ELF.h:448:3: error: expected identifier before numeric constant
   R_PPC_NONE                  = 0,      /* No relocation. */
   ^
/builddir/build/BUILD/llvm-3.3.src/include/llvm/Support/ELF.h:448:3: error: expected '}' before numeric constant
/builddir/build/BUILD/llvm-3.3.src/include/llvm/Support/ELF.h:448:3: error: expected unqualified-id before numeric constant
In file included from Plugins/ObjectFile/ELF/ELFHeader.h:24:0,
                 from Plugins/ObjectFile/ELF/ObjectFileELF.h:20,
                 from lldb.cpp:34:

Version-Release number of selected component (if applicable):
llvm-3.3-4.fc21

How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f21 llvm-3.3-4.fc21.src.rpm
2.
3.

Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1605930

Expected results:


Additional info:
last successful build of llvm on PPC64 was llvm-3.3-0.10.rc3.fc21

Comment 1 Karsten Hopp 2014-01-08 14:41:04 UTC
Created attachment 847182 [details]
root.log

Comment 2 Karsten Hopp 2014-01-15 16:03:03 UTC
Same problem with llvm-3.4-2.fc21: 
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1615135

please take a look at it as this blocks many packages from being built on PPC

Comment 3 Dave Airlie 2014-01-15 23:38:21 UTC
can anyone ppc knowledge pursue this upstream? we don't have any llvm experts really in the packaging pipe.

Comment 4 Dave Airlie 2014-01-16 04:17:08 UTC
okay I'll just disable lldb building on ppc for now hopefully that will do for now.

please rebuild using latest spec and let me know

Comment 5 David Aquilina 2014-01-16 17:30:25 UTC
A scratch build of 3.4 with that change worked. Would it be possible to apply that change to and push an update of llvm 3.3 on both f20 and f21 so we can get unstuck? 

thanks!

Comment 6 Adam Jackson 2014-11-18 16:32:03 UTC
Fixed by now.  lldb not actually ported to non-x86 upstream, so this is just ifarch'd away.


Note You need to log in before you can comment on or make changes to this bug.